Groovy Documentation

## groovy.util
[Groovy] Class JavadocAssertionTestBuilder

    java.lang.Object
      groovy.util.JavadocAssertionTestBuilder

    class JavadocAssertionTestBuilder

`JavadocAssertionTestBuilder` will dynamically create a test cases from Groovy assertions placed within the Javadoc comments of a source file. Assertions should be placed within an html tag with a `class="groovyTestCase"` attribute assignment. Example:

    <pre class="groovyTestCase"> assert "example".size() == 7 </pre>

Authors:
  Merlyn Albery-Speyer

Method Summary
`java.lang.Class` | `buildTest(java.lang.String filename, java.lang.String code)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### buildTest

    java.lang.Class buildTest(java.lang.String filename, java.lang.String code)

Groovy Documentation